> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Expected Payment



## OpenAPI

````yaml /openapi.json post /api/v1/merchants/me/expected-payments/{expectedPaymentId}/cancel
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/merchants/me/expected-payments/{expectedPaymentId}/cancel:
    post:
      tags:
        - Invoice VA
      summary: Cancel Expected Payment
      operationId: cancelExpectedPayment
      parameters:
        - name: expectedPaymentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpectedPaymentResponse'
              example:
                id: 721e86a8-fd29-49b5-b42f-67e19dfb2f6e
                merchantId: 301f0991-8f7c-4501-a1d4-c317fe7b7f23
                subMerchantId: null
                customerId: null
                paymentReference: INV-2026-1044
                amount: 2500
                currency: KES
                status: CANCELLED
                expiresAt: '2026-09-12T21:00:00Z'
                matchedCreditId: null
                virtualAccountId: dae3dc89-dd62-42cb-84a9-d884e8d6f536
                virtualAccountNumber: '7600000073'
                createdAt: '2026-09-09T10:00:00.000Z'
components:
  schemas:
    ExpectedPaymentResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````